> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.propexo.com/api-reference/yardi-rest/leads/create-lead-file-file-upload-yardi-rest/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server. # Create Lead File (File Upload): Yardi REST POST https://api.propexo.com/v1/leads/yardi_rest/{lead_id}/file-upload Content-Type: application/json Attach a file to a Lead.| Interface | Method | | -------------- | -------------------------------- | | ILS Guest Card | /ItfProspect/ImportGuestDocument |Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync. Reference: https://docs.propexo.com/api-reference/yardi-rest/leads/create-lead-file-file-upload-yardi-rest ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.propexo.com` (Production, default) - `https://api.sandbox.propexo.com` (Sandbox) ## Request ### Path parameters - `lead_id` (string, required) — The Propexo unique identifier for the lead ### Body (application/json) This endpoint expects a _v1_leads_yardi_rest_{lead_id}_file-upload_post_input. - `integration_id` (string, required) — The Propexo unique identifier for the integration - `attachment` (V1LeadsYardiRestLeadIdFileUploadPostInputAttachment, required) — The file to attach to the Lead ## Response ### 200 Successful response - `meta` (V1LeadsYardiRestLeadIdFileUploadPostOutputMeta, required) - `result` (V1LeadsYardiRestLeadIdFileUploadPostOutputResult, required) ## Errors ### 400 Bad Request Error Bad Request - `error` (ErrorResponseError, required) ## Types ### V1LeadsYardiRestLeadIdFileUploadPostInputAttachment The file to attach to the Lead - `file_type_id` (string, required) — The Propexo unique identifier for the file type. The file type provided must be listed as being compatible with the Leads model. - `file_data` (string, required) - `file_extension` (enum, required) — The file extension for the attachment being uploaded - Allowed values: `pdf`, `doc`, `docx`, `xls`, `xlsx`, `jpg`, `jpeg`, `png` - `description` (string, required) — A description of the file being uploaded ### V1LeadsYardiRestLeadIdFileUploadPostOutputMeta - `job_id` (string, required) ### V1LeadsYardiRestLeadIdFileUploadPostOutputResult - `integration_id` (string, required) — The Propexo unique identifier for the integration - `lead_id` (string, required) — The Propexo unique identifier for the lead - `attachment` (V1LeadsYardiRestLeadIdFileUploadPostOutputResultAttachment, required) ### ErrorResponseError - `code` (string, required) - `message` (string, required) - `details` (map from string to any, optional) ### V1LeadsYardiRestLeadIdFileUploadPostOutputResultAttachment - `file_type_id` (string, required) — The Propexo unique identifier for the file type. The file type provided must be listed as being compatible with the Leads model. - `file_extension` (enum, required) — The file extension for the attachment being uploaded - Allowed values: `pdf`, `doc`, `docx`, `xls`, `xlsx`, `jpg`, `jpeg`, `png` - `description` (string, required) — A description of the file being uploaded - `file_data` (string, optional, nullable) ## Examples **Request** ```json { "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e", "attachment": { "file_type_id": "ft-123abc456def789ghi", "file_data": "SGVsbG8gV29ybGQ=", "file_extension": "pdf", "description": "Signed lease agreement for unit 12B" } } ``` **Response** ```json { "meta": { "job_id": "job-20240615-xyz987654321" }, "result": { "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e", "lead_id": "lead-5a4b3c2d1e0f9g8h7i6j", "attachment": { "file_type_id": "ft-123abc456def789ghi", "file_extension": "pdf", "description": "Signed lease agreement for unit 12B", "file_data": "SGVsbG8gV29ybGQ=" } } } ``` **SDK Code** ```python import requests url = "https://api.propexo.com/v1/leads/yardi_rest/lead_id/file-upload" payload = { "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e", "attachment": { "file_type_id": "ft-123abc456def789ghi", "file_data": "SGVsbG8gV29ybGQ=", "file_extension": "pdf", "description": "Signed lease agreement for unit 12B" } } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.propexo.com/v1/leads/yardi_rest/lead_id/file-upload'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"integration_id":"intg-9f8b7c6d5e4a3b2c1d0e","attachment":{"file_type_id":"ft-123abc456def789ghi","file_data":"SGVsbG8gV29ybGQ=","file_extension":"pdf","description":"Signed lease agreement for unit 12B"}}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.propexo.com/v1/leads/yardi_rest/lead_id/file-upload" payload := strings.NewReader("{\n \"integration_id\": \"intg-9f8b7c6d5e4a3b2c1d0e\",\n \"attachment\": {\n \"file_type_id\": \"ft-123abc456def789ghi\",\n \"file_data\": \"SGVsbG8gV29ybGQ=\",\n \"file_extension\": \"pdf\",\n \"description\": \"Signed lease agreement for unit 12B\"\n }\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.propexo.com/v1/leads/yardi_rest/lead_id/file-upload") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"integration_id\": \"intg-9f8b7c6d5e4a3b2c1d0e\",\n \"attachment\": {\n \"file_type_id\": \"ft-123abc456def789ghi\",\n \"file_data\": \"SGVsbG8gV29ybGQ=\",\n \"file_extension\": \"pdf\",\n \"description\": \"Signed lease agreement for unit 12B\"\n }\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.propexo.com/v1/leads/yardi_rest/lead_id/file-upload") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"integration_id\": \"intg-9f8b7c6d5e4a3b2c1d0e\",\n \"attachment\": {\n \"file_type_id\": \"ft-123abc456def789ghi\",\n \"file_data\": \"SGVsbG8gV29ybGQ=\",\n \"file_extension\": \"pdf\",\n \"description\": \"Signed lease agreement for unit 12B\"\n }\n}") .asString(); ``` ```php request('POST', 'https://api.propexo.com/v1/leads/yardi_rest/lead_id/file-upload', [ 'body' => '{ "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e", "attachment": { "file_type_id": "ft-123abc456def789ghi", "file_data": "SGVsbG8gV29ybGQ=", "file_extension": "pdf", "description": "Signed lease agreement for unit 12B" } }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.propexo.com/v1/leads/yardi_rest/lead_id/file-upload"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"integration_id\": \"intg-9f8b7c6d5e4a3b2c1d0e\",\n \"attachment\": {\n \"file_type_id\": \"ft-123abc456def789ghi\",\n \"file_data\": \"SGVsbG8gV29ybGQ=\",\n \"file_extension\": \"pdf\",\n \"description\": \"Signed lease agreement for unit 12B\"\n }\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [ "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e", "attachment": [ "file_type_id": "ft-123abc456def789ghi", "file_data": "SGVsbG8gV29ybGQ=", "file_extension": "pdf", "description": "Signed lease agreement for unit 12B" ] ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/leads/yardi_rest/lead_id/file-upload")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```